diff --git a/kernel/nvidia-modeset/nvidia-modeset-linux.c b/kernel/nvidia-modeset/nvidia-modeset-linux.c
index 8902143..e8bba1e 100644
--- a/kernel/nvidia-modeset/nvidia-modeset-linux.c
+++ b/kernel/nvidia-modeset/nvidia-modeset-linux.c
@@ -1396,11 +1396,11 @@ restart:
 
 module_init(nvkms_init);
 module_exit(nvkms_exit);
 
 #if defined(MODULE_LICENSE)
-  MODULE_LICENSE("NVIDIA");
+  MODULE_LICENSE("GPL");
 #endif
 #if defined(MODULE_INFO)
   MODULE_INFO(supported, "external");
 #endif
 #if defined(MODULE_VERSION)
diff --git a/kernel/nvidia/nv-frontend.c b/kernel/nvidia/nv-frontend.c
index 8a26046..b98b712 100644
--- a/kernel/nvidia/nv-frontend.c
+++ b/kernel/nvidia/nv-frontend.c
@@ -13,11 +13,11 @@
 #include "nv-linux.h"
 #include "nv-reg.h"
 #include "nv-frontend.h"
 
 #if defined(MODULE_LICENSE)
-MODULE_LICENSE("NVIDIA");
+MODULE_LICENSE("GPL");
 #endif
 #if defined(MODULE_INFO)
 MODULE_INFO(supported, "external");
 #endif
 #if defined(MODULE_VERSION)
diff -ru a/kernel/nvidia-drm/nvidia-drm-linux.c b/kernel/nvidia-drm/nvidia-drm-linux.c
--- a/kernel/nvidia-drm/nvidia-drm-linux.c      2020-11-20 15:15:09.038429758 +0200
+++ b/kernel/nvidia-drm/nvidia-drm-linux.c      2020-11-20 17:51:12.365148634 +0200
@@ -175,7 +175,7 @@
 module_exit(nv_linux_drm_exit);
 
 #if defined(MODULE_LICENSE)
-  MODULE_LICENSE("MIT");
+  MODULE_LICENSE("GPL");
 #endif
 #if defined(MODULE_INFO)
   MODULE_INFO(supported, "external");
diff -ru a/kernel/nvidia-uvm/uvm8.c b/kernel/nvidia-uvm/uvm8.c
--- a/kernel/nvidia-uvm/uvm8.c  2020-11-20 15:15:09.033429908 +0200
+++ b/kernel/nvidia-uvm/uvm8.c  2020-11-20 17:50:08.200105562 +0200
@@ -1073,6 +1073,6 @@
 module_init(uvm_init_entry);
 module_exit(uvm_exit_entry);
 
-MODULE_LICENSE("Dual MIT/GPL");
+MODULE_LICENSE("GPL");
 MODULE_INFO(supported, "external");
 

